<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
//navigation
$routes->get('/', 'Home::index');

//my profile
$routes->get('myprofile', 'Myprofile::index');
$routes->post('Myprofile/updateProfile', 'Myprofile::updateProfile');

//session
$routes->post('signin', 'Home::signin');
$routes->get('logout', 'Home::logout');

//dashboard
$routes->get('dashboard/materias', 'Dashboard::getMaterias');
$routes->get('dashboard', 'Dashboard::index');
$routes->get('allmycourses', 'Allmycourses::index');

//Cursos
$routes->get('createCourses','CoursesController::index');
$routes->get('createLevelsNGroups', 'GroupNLevelController::index');
$routes->post('GroupNLevelController/createLvl', 'GroupNLevelController::createLvl'); //create level
$routes->post('GroupNLevelController/createGroup', 'GroupNLevelController::createGroup'); // create group

$routes->post('CoursesController/createGroup', 'CoursesController::createGroup'); // create course
$routes->post('CoursesController/createInactiveGroup', 'CoursesController::createInactiveGroup'); // create course

//Tareas/Materias 
$routes->get('materia/(:num)', 'Materia::mostrar/$1');
$routes->get('materia/mostrarTareas/(:num)', 'Materia::mostrarTareas/$1');
$routes->get('mistareas/(:num)', 'MisTareas::index/$1');
$routes->get('mistareas/obtenerTareas/(:num)', 'MisTareas::obtenerTareas/$1');
$routes->get('dashboard/getMaterias', 'Dashboard::getMaterias');
$routes->post('materia/getMaterias', 'Materia::getMaterias');

$routes->get('dashboard/getMateriasMaestro', 'Dashboard::getMateriasMaestro');
$routes->get('allmycourses/getMaterias', 'Allmycourses::getMaterias');
$routes->get('dashboard/getMateriasMaestroEspecial', 'Dashboard::getMateriasMaestroEspecial');
$routes->post('materia/getCodeClass', 'Materia::getCodeClass');
$routes->get('mis_tareas/todasMisTareasMaestro', 'MisTareas::todasMisTareasMaestro');
$routes->get('mis_tareas/todasMisTareasMaestro/(:num)', 'MisTareas::todasMisTareasMaestro/$1');
$routes->get('mis_tareas/todasMisTareasMaestro/(:num)/(:num)', 'MisTareas::todasMisTareasMaestro/$1/$2');
$routes->post('materia/getMeetClass', 'Materia::getMeetClass'); //get meet link

//usuarios
$routes->get('newUser', 'NewUser::index');
$routes->post('NewUser/createUser', 'NewUser::createUser'); // create user
$routes->get('allUsers', 'AllUsers::index'); //all users
$routes->get('AllUsers/getUserInfo/(:num)', 'AllUsers::getUserInfo/$1');// user info
$routes->get('unactiveUsers', 'AllUsers::unactiveUsers'); // inactive users

$routes->post('NewUser/editUser', 'NewUser::editUser'); // edit user
$routes->post('NewUser/deactivateUser', 'NewUser::deactivateUser'); // delete user
$routes->post('NewUser/reactivateUser', 'NewUser::reactivateUser'); // reactivate user

//services
$routes->get('services', 'Services::index');
$routes->post('service/requestService', 'Services::requestService');//request service
$routes->get('myPayments', 'MyPayments::index');//user payments

//Tareas
$routes->get('mistareas/obtenerTareasPendientes/(:num)', 'MisTareas::obtenerTareasPendientes/$1');
$routes->get('mistareas/obtenerTareasEnProgreso/(:num)', 'MisTareas::obtenerTareasEnProgreso/$1');
$routes->get('mistareas/obtenerTareasCalificadas/(:num)', 'MisTareas::obtenerTareasCalificadas/$1');
$routes->get('tareas/detalle/(:num)/(:any)', 'MisTareas::detalle/$1/$2');
$routes->post('tareas/uploadFile', 'Tareas::uploadFile');
$routes->get('tareas/getTarea/(:num)', 'Tareas::getTarea/$1');
$routes->post('tareas/eliminarArchivo', 'MisTareas::eliminarArchivo');
$routes->get('mistareas/obtenerDetalleTarea/(:num)', 'MisTareas::obtenerDetalleTarea/$1');
$routes->post('crear_tarea', 'Materia::crearTarea');
$routes->get('get_groups', 'Materia::getGroups');
$routes->post('mistareas/actualizarEstado', 'MisTareas::actualizarEstado');
$routes->post('editarTarea', 'MisTareas::editarTarea');
$routes->post('mis_tareas/borrarTarea', 'MisTareas::borrarTarea');
$routes->get('mis_tareas/obtenerDetalleTareaMaestro/(:num)', 'MisTareas::obtenerDetalleTareaMaestro/$1');
$routes->get('mis_tareas/calificarTareas/(:any)', 'MisTareas::calificarTareas/$1');
$routes->get('mis_tareas/obtenerTareasInfo/(:any)', 'MisTareas::obtenerTareasInfo/$1');
$routes->post('mis_tareas/calificarTarea', 'MisTareas::calificarTarea');
$routes->get('mistareas/obtenerTareasCompletadas/(:num)', 'MisTareas::obtenerTareasCompletadas/$1');
$routes->post('mis_tareas/archivarTarea', 'MisTareas::archivarTarea');
$routes->get('/mis_tareas/obtenerDetalleTareaMaestro/(:num)', 'MisTareas::obtenerDetalleTareaMaestro/$1');
$routes->post('/mis_tareas/editarTarea', 'MisTareas::editarTarea');
$routes->get('mis_tareas/misTareasMaestro/(:segment)/(:segment)', 'MisTareas::misTareasMaestro/$1/$2');

//Calificaciones 

$routes->post('materia/getCalificaciones', 'Materia::getCalificaciones');


//unirse a materias 
$routes->post('dashboard/joinCourse', 'Dashboard::joinCourse');

//library
$routes->get('library', 'Library::index');
// app/Config/Routes.php
$routes->post('Library/upload', 'Library::upload'); // Manejar la carga del archivo y enlace
$routes->delete('file/delete/(:any)', 'Library::delete/$1');


//calendar
$routes->get('calendar', 'Calendar::index');
$routes->get('eventos', 'EventosController::getAllEvents');
$routes->post('EventosController/createEvent', 'EventosController::createEvent'); // create new event
$routes->post('EventosController/deleteEvent', 'EventosController::deleteEvent');
$routes->get('dashboard/calendar', 'Dashboard::calendar');

//Material educativo 
$routes->post('materia/setSessionMateria', 'Materia::setSessionMateria');
$routes->get('material_educativo/list/(:num)', 'MaterialEducativo::list/$1');
$routes->post('material_educativo/store', 'MaterialEducativo::store');
$routes->get('material_educativo/verMaterial/(:num)', 'MaterialEducativo::list/$1');
$routes->get('material_educativo/recuperarMaterialAlumnos/(:num)', 'MaterialEducativo::recuperarMaterialAlumnos/$1');
$routes->delete('material_educativo/delete/(:num)', 'MaterialEducativo::delete/$1');


//Mis avisos 
$routes->get('/MisAvisos', 'MisAvisos::index');
$routes->get('/MisAvisos/enviarAviso', 'MisAvisos::enviarAvisoView');
$routes->post('/MisAvisos/enviarAviso', 'MisAvisos::enviarAviso');
$routes->get('/MisAvisos/obtenerUltimosAvisos', 'MisAvisos::obtenerUltimosAvisos');
$routes->get('/MisAvisos/obtenerCantidadAvisos', 'MisAvisos::obtenerCantidadAvisos');
$routes->get('/MisAvisos/editarAviso/(:num)', 'MisAvisos::editarAvisoView/$1');
$routes->post('/MisAvisos/editarAviso', 'MisAvisos::editarAviso');
$routes->get('/MisAvisos/obtenerAviso/(:num)', 'MisAvisos::obtenerAviso/$1');
$routes->post('/MisAvisos/editarAviso', 'MisAvisos::editarAviso');
$routes->get('/MisAvisos/obtenerLevels', 'MisAvisos::obtenerLevels');
$routes->post('MisAvisos/deleteAviso/(:num)', 'MisAvisos::deleteAviso/$1');

//examenes

$routes->get('misexamenes', 'MisExamenesController::index');
$routes->get('misexamenes/create', 'MisExamenesController::create');
$routes->post('misexamenes/store', 'MisExamenesController::store');
$routes->get('allExamenesMaestro', 'MisExamenesController::allExamenesMaestro');
$routes->post('misexamenes/delete/(:num)', 'MisExamenesController::delete/$1');
$routes->get('misexamenes/crear', 'MisExamenesController::crear');
$routes->get('misexamenes/asignar_preguntas/(:num)', 'MisExamenesController::asignar_preguntas/$1');
$routes->post('misexamenes/store_preguntas', 'MisExamenesController::store_preguntas');
$routes->get('misexamenes/alumno', 'MisExamenesController::allExamenesAlumno');
$routes->get('examen/(:num)', 'MisExamenesController::verExamen/$1');
$routes->post('misexamenes/guardarRespuestas', 'MisExamenesController::guardarRespuestas');
$routes->get('misexamenes/startExam/(:num)', 'MisExamenesController::startExam/$1');
$routes->get('misexamenes/verExamen/(:num)', 'MisExamenesController::verExamen/$1');
$routes->get('misexamenes/verificarEstado/(:num)', 'MisExamenesController::verificarEstado/$1');
$routes->post('misexamenes/completarExamen/(:num)', 'MisExamenesController::completarExamen/$1');
$routes->post('misexamenes/asignarExamenAGrupo', 'MisExamenesController::asignarExamenAGrupo');
$routes->get('misexamenes/getExamDetails/(:num)', 'MisExamenesController::getExamDetails/$1');
$routes->post('misexamenes/markAsCompleted/(:num)', 'MisExamenesController::markAsCompleted/$1');
$routes->get('misexamenes/getExamenUsuarios/(:num)', 'MisExamenesController::getExamenUsuarios/$1');
//Laboratorio 
$routes->get('/laboratorio', 'LaboratorioController::index');
$routes->get('/download-laboratorio', 'LaboratorioController::downloadLaboratorio');
//Clases en línea 
$routes->get('/misclases', 'MisClasesController::index');
$routes->get('MisClasesController/getMateriaInfo/(:num)', 'MisClasesController::getMateriaInfo/$1');// materia info
$routes->post('MisClasesController/AddMeet', 'MisClasesController::AddMeet'); // add meet

// Asignar Maestros a materias
$routes->get('/assingTeachers', 'AssignTeacherController::index');
$routes->post('AssignTeacherController/AssignTeacher', 'AssignTeacherController::AssignTeacher'); // reactivate user


//Kardex
$routes->get('/kardex', 'KardexController::index');
$routes->post('KardexController/UpdateEvaluateStatus', 'KardexController::UpdateEvaluateStatus'); //update IsTimeToEvaluate
$routes->get('kardex/user/(:num)', 'KardexController::viewKardex/$1');
$routes->get('KardexController/getMateriaInfo/(:num)', 'KardexController::getMateriaInfo/$1');// materia info
$routes->post('KardexController/UpdateGrade', 'KardexController::UpdateGrade'); // edit grade
$routes->post('KardexController/UpdateStatus', 'KardexController::UpdateStatus'); //update materia status
$routes->get('/kardexAlumno/(:num)', 'KardexController::kardexAlumno/$1'); // kardex alumno


//Ver todos los alumnos 
$routes->get('alumnos/lista/(:num)', 'Allmyusers::index/$1');
$routes->get('alumnos/tareas/(:num)', 'Allmyusers::getTareasPorUsuario/$1');


//Asignar materias 
$routes->get('asignarMateriaGrupo/index/(:num)', 'AsignarMateriaGrupo::index/$1');
$routes->post('asignarMateriaGrupo/asignar', 'AsignarMateriaGrupo::asignar');

//Asistencias y participaciones 
$routes->get('asistencias', 'Asistencias_participaciones::index');
$routes->get('asistencias/(:num)/(:num)', 'Asistencias_participaciones::index/$1/$2'); 
$routes->post('asistencias/crear', 'Asistencias_participaciones::crear'); //crea asistencia 
$routes->get('asistencias/(:num)', 'Asistencias_participaciones::index/$1'); //recopila todas las asistencias y las participaciones
$routes->get('asistencias_participaciones/obtenerAlumnosPorGrupo/(:num)', 'Asistencias_participaciones::obtenerAlumnosPorGrupo/$1'); //Traer alumnos dependiendo del grupo
$routes->post('asistencias_participaciones/crear', 'Asistencias_participaciones::crear'); //crear registro de alumno con asistencia y participación

//Clases grabadas 
$routes->get('clases/grabadas/(:num)', 'ClasesGrabadas::index/$1');
$routes->get('clases/grabadas/eliminar/(:num)', 'ClasesGrabadas::delete/$1');
$routes->post('clases/subir', 'ClasesGrabadas::subir');

//Programas Educativos
$routes->get('programasEducativos', 'ProgramasEducativosController::index');