<?php

namespace App\Controllers;

use App\Models\UserInfoModel;
use App\Models\GroupModel;
use App\Models\LevelsModel;
use App\Models\UnactiveUsersModel;
use CodeIgniter\Controller;


class AllUsers extends Controller
{
    public function index()
    {
        if(!session()->is_logged){
            return view('login');
        }
        $usersModel = new UserInfoModel();
        $groupModel = new GroupModel();
        $levelsModel = new LevelsModel();

        $data['adminUsers'] = $usersModel->getAdminUsers();
        $data['teacherUsers'] = $usersModel->getTeacherUsers();
        $data['studentUsers'] = $usersModel->getStudentUsers();
        $data['groups'] = $groupModel->getAllActiveGroups();
        $data['levels'] = $levelsModel->getAllLevels();

        return view('allUsers', $data);
    }

    public function getUserInfo($pk)
    {
        $usersModel = new UserInfoModel();
        $userInfo = $usersModel->getUserInfoByPK($pk);
        echo json_encode($userInfo);
    }

    public function unactiveUsers(){
        if(!session()->is_logged){
            return view('login');
        }
        $unactiveUsersModel = new UnactiveUsersModel();

        $data['unactiveUsers'] = $unactiveUsersModel->getUnactiveUsers();
        return view('unactiveUsers', $data);
    }
}