<?php

namespace App\Controllers;

use App\Models\RelacionMateriasUsuariosModel;
use App\Models\TareasInfoModel;

class Allmyusers extends BaseController
{
    // Función para cargar los alumnos por materia
    public function index($materiaId)
    {
        // Verificar si el usuario está logueado
        if (!session()->is_logged) {
            return view('login');
        }

        // Cargar el modelo de relación entre materias y usuarios
        $relacionMateriasUsuariosModel = new RelacionMateriasUsuariosModel();
        $alumnos = $relacionMateriasUsuariosModel->getAlumnosByMateria($materiaId);

        return view('allmyusers', ['alumnos' => $alumnos]);
    }

    public function getTareasPorUsuario($userId)
{
    // Cargar el modelo de tareas
    $tareasInfoModel = new TareasInfoModel();
    $tareas = $tareasInfoModel->getTareasByUser($userId);

    // Generar el contenido de las filas de la tabla dinámicamente
    $html = '';
    if (empty($tareas)) {
        $html .= "<tr><td colspan='3' class='text-center'>No hay tareas asignadas para este usuario.</td></tr>";
    } else {
        foreach ($tareas as $tarea) {
            $html .= '<tr>
                        <td>' . $tarea['NombreTarea'] . '</td>
                        <td>' . $tarea['Calificacion'] . '</td>
                        <td>' . $tarea['EstadoTarea'] . '</td>
                      </tr>';
        }
    }

    // Devolver el HTML de las filas
    return $html;
}


}
