<?php

namespace App\Controllers;

use App\Models\AsignarMateriaGrupoModel;
use App\Models\GroupModel; 

class AsignarMateriaGrupo extends BaseController
{
    public function index($materiaId)
    {
        if (!session()->is_logged) {
            return view('login');
        }

        $rol = session()->get('FK_Rol');

        // Verifica el rol y redirige en consecuencia
        if ($rol != 3 && $rol != 2) {
         return redirect()->to('/dashboard');
     }

        $groupsModel = new GroupModel();
        $asignarMateriaGrupoModel = new AsignarMateriaGrupoModel();

        $data['grupos'] = $groupsModel->findAll();
        $data['materiaId'] = $materiaId;

        $data['asignaciones'] = $asignarMateriaGrupoModel->obtenerAsignacionesPorMateriaConNombreGrupo($materiaId);

        return view('asignar_materia_grupo', $data);
    }

    public function asignar()
    {
        if (!session()->is_logged) {
            return view('login');
        }

        if ($this->request->getMethod() === 'post') {
            $asignarMateriaGrupoModel = new AsignarMateriaGrupoModel();
            $FK_Materia = $this->request->getPost('FK_Materia');
            $FK_Group = $this->request->getPost('FK_Group');
            
            if (empty($FK_Group)) {
                return redirect()->back()->with('error', 'Debe seleccionar un grupo antes de asignar la materia.');
            }

            $existing = $asignarMateriaGrupoModel
                ->where('FK_Materia', $FK_Materia)
                ->where('FK_Group', $FK_Group)
                ->first();

            if ($existing) {
                return redirect()->back()->with('error', 'No puedes asignar dos veces la materia al mismo grupo.');
            }

            $data = [
                'FK_Materia' => $FK_Materia,
                'FK_Group' => $FK_Group,
                'DateAssigned' => date('Y-m-d H:i:s'),
                'AssignedBy' => session('PK_User'),
            ];

            $asignarMateriaGrupoModel->insert($data);

            return redirect()->back()->with('success', 'Materia asignada correctamente.');
        }
    }
}
