<?php

namespace App\Controllers;

use App\Models\VistaAsistenciasParticipacionesModel;
use App\Models\AsistenciasParticipacionesModel;
use App\Models\GruposAlumnosModel;
use App\Models\GroupModel;
use CodeIgniter\Controller;

class Asistencias_participaciones extends Controller
{
    public function index($materiaId)
    {
        if (!session()->is_logged) {
            return view('login');
        }
    
        $rol = session()->get('FK_Rol');

           // Verifica el rol y redirige en consecuencia
           if ($rol != 3) {
            return redirect()->to('/dashboard');
        }

        $model = new VistaAsistenciasParticipacionesModel();
        $groupModel = new GroupModel();  
        $alumnosModel = new GruposAlumnosModel();  
    
        $resultados = $model->obtenerAsistenciasPorMateria($materiaId);
        
        $grupos = $groupModel->getAllActiveGroups();
    
        $alumnos = $alumnosModel->findAll();  
    
        return view('registrosclase', [
            'resultados' => $resultados,
            'PK_Materia' => $materiaId,
            'grupos' => $grupos,  
            'alumnos' => $alumnos 
        ]);
    }
    
    

    public function crear()
    {
        if (!session()->is_logged) {
            return view('login');
        }
    
        $data = [
            'FK_User' => $this->request->getPost('FK_User'), 
            'FK_Materia' => $this->request->getPost('FK_Materia'),
            'Asistencia' => $this->request->getPost('Asistencia'),
            'Participaciones' => $this->request->getPost('Participaciones'),
            'Fecha' => date('Y-m-d H:i') 
        ];
    
        $model = new AsistenciasParticipacionesModel();
        $model->crearAsistenciaParticipacion($data);
    
        return redirect()->back()->with('success', 'Asistencia y participación registrada correctamente');
    }
    

    public function obtenerAlumnosPorGrupo($groupId)
    {
        $model = new GruposAlumnosModel();
        $alumnos = $model->where('FK_Group', $groupId)->findAll();
        
        if (empty($alumnos)) {
            return $this->response->setJSON(['error' => 'No hay alumnos disponibles para este grupo']);
        }
    
        return $this->response->setJSON($alumnos);
    }
    
    
}
