<?php
namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\ClasesOnlineModel;
use App\Models\UserInfoModel;
use App\Models\MateriasMaestrosModel;

class AssignTeacherController extends Controller
{
    public function index()
    {
        if (!session()->is_logged) {
            return view('login');
        }

        $rol = session()->get('FK_Rol');

        // Verifica el rol y redirige en consecuencia
        if ($rol != 2 && $rol != 6) {
            return redirect()->to('/dashboard');
        }

        $clasesModel = new ClasesOnlineModel();
        $maestrosModel = new UserInfoModel();

        $data['materias'] = $clasesModel->GetAllMaterias();
        $data['maestros'] = $maestrosModel->getTeacherUsers();

        return view('assingTeachers', $data);
    }

    public function AssignTeacher(){
        $clasesModel = new ClasesOnlineModel();
        $materiasMaestrosModel = new MateriasMaestrosModel();
    
        $id = $this->request->getPost('IdEdit');
        $teacher = $this->request->getPost('FK_Maestro');
    
        $data = [
            'PK_Materia' => $id,
            'Teacher' => $teacher
        ];
    
        $relationData = [
            'FK_Materia' => $id,
            'FK_User' => $teacher
        ];
    
        // Verificar si ya existe un registro con el mismo FK_Materia
        $existingRecord = $materiasMaestrosModel->where('FK_Materia', $id)->first();
    
        if ($existingRecord) {
            // Si existe, actualizar el registro
            $materiasMaestrosModel->where('FK_Materia', $id)
                                  ->set($relationData)
                                  ->update();
        } else {
            // Si no existe, crear un nuevo registro
            $materiasMaestrosModel->save($relationData);
        }
    
        if ($clasesModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Usuario Asignado');
        } else {
            return redirect()->back()->with('error', 'Error al asignar el maestro');
        }
    }
    
    
    
}
