<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\ClasesGrabadasModel;
use App\Models\GroupModel;

class ClasesGrabadas extends Controller
{
    public function index($materiaId)
    {
        if (!session()->is_logged) {
            return view('login');
        }

        $rol = session()->get('FK_Rol');
        $groupSession = session()->get('FK_Group'); 
        $clasesGrabadasModel = new ClasesGrabadasModel();
        $groupModel = new GroupModel(); 

        $data['materiaId'] = $materiaId;

        if ($rol == 4) {
            $data['clases'] = $clasesGrabadasModel->where('FK_Materia', $materiaId)
                                                  ->where('FK_Group', $groupSession)
                                                  ->findAll();
        } else {
            $data['clases'] = $clasesGrabadasModel->where('FK_Materia', $materiaId)->findAll();
        }

        $data['grupos'] = $groupModel->getAllActiveGroups(); 

        return view('ClasesGrabadas', $data);
    }

    public function delete($id)
    {
        $clasesGrabadasModel = new ClasesGrabadasModel();
    
        if ($clasesGrabadasModel->delete($id)) {
            return redirect()->back()->with('success', 'Clase eliminada correctamente.');
        } else {
            return redirect()->back()->with('error', 'Error al eliminar la clase.');
        }
    }

    public function subir()
    {
        if (!session()->is_logged) {
            return view('login');
        }

        $titulo = $this->request->getPost('tituloClase');
        $enlace = $this->request->getPost('enlaceClase');
        $grupo = $this->request->getPost('grupoClase');
        $materiaId = $this->request->getPost('materiaId');
        $userId = session()->get('PK_User'); 

        if (empty($titulo) || empty($enlace) || empty($grupo)) {
            return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
        }

        $clasesGrabadasModel = new ClasesGrabadasModel();

        $data = [
            'Titulo' => $titulo,
            'Enlace' => $enlace,
            'FK_Group' => $grupo,
            'FK_Materia' => $materiaId,
            'FK_User' => $userId,
        ];

        if ($clasesGrabadasModel->insert($data)) {
            return redirect()->back()->with('success', 'Clase grabada subida correctamente.');
        } else {
            return redirect()->back()->with('error', 'Error al subir la clase.');
        }
    }
}
