<?php

namespace App\Controllers;

use App\Models\UserModel;
use App\Models\LevelsModel;
use App\Models\GroupModel;
use App\Models\CoursesModel;
use App\Models\MateriasMaestrosModel;
use CodeIgniter\Controller;
class CoursesController extends Controller
{
    public function index()
    {
        if(!session()->is_logged){
            return view('login');
        }
        $levelsModel = new LevelsModel();
        $groupModel = new GroupModel();

        $data['levels'] = $levelsModel->getAllLevels();
        $data['groups'] = $groupModel->getAllActiveGroups();
        return view('createCourses', $data);
    }

    public function createGroup()
    {
        $courseModel = new CoursesModel();
        $materiasMaestrosModel = new MateriasMaestrosModel();
        $session = session();

        $name = $this->request->getPost('Name');
        $description = $this->request->getPost('Description');
        $fk_user = $session->get('PK_User'); // Obtener el usuario de la sesión
        $codeClass = $this->request->getPost('accessCode');
        $fk_rol = $session->get('FK_Rol'); // Obtener el rol de la sesión

        if (empty($name) || empty($description) || empty($fk_user) || empty($codeClass)) {
            return redirect()->to('createCourses')->with('error', 'Por favor, completa todos los campos.');
        }

        // Determinar el valor de Teacher basado en el rol
        $teacher = ($fk_rol == 3) ? $fk_user : null;

        $data = [
            'Name' => $name,
            'Description' => $description,
            'CreatedBy' => $fk_user,
            'CodeClass' => $codeClass,
            'Status' => 1,
            'Teacher' => $teacher
        ];

        // Guardar la nueva materia
        $courseModel->save($data);
        $newCourseId = $courseModel->insertID();

        // Crear la relación en t_materias_maestros
        $relationData = [
            'FK_User' => $fk_user,
            'FK_Materia' => $newCourseId
        ];

        $materiasMaestrosModel->save($relationData);

        return redirect()->to('createCourses')->with('success', 'Materia creada exitosamente.');
    }

    

    public function createInactiveGroup(){

        $courseModel = new CoursesModel();

        $name = $this->request->getPost('Name');
        $description = $this->request->getPost('Description');
        $fk_user = $this->request->getPost('FK_User');
        $codeClass = $this->request->getPost('accessCode');

        if (empty($name) || empty($description) || empty($fk_user) || empty($codeClass)) {
            return redirect()->to('createCourses')->with('error', 'Por favor, completa todos los campos.');
        }

        $data = [
            'Name' => $name,
            'Description' => $description,
            'CreatedBy' => $fk_user,
            'CodeClass' => $codeClass,
            'Status' => 0
        ];

        $courseModel->save($data);

        return redirect()->to('createCourses')->with('success', 'Materia creada exitosamente.');
    }
}
