<?php
namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\EventsModel;

class EventosController extends Controller
{
    public function createEvent(){
        $eventsModel = new EventsModel();
    
        $name = $this->request->getPost('Nombre');
        $type = $this->request->getPost('Tipo');
        $date = $this->request->getPost('Fecha');
        
        if (empty($name) || empty($type) || empty($date) ) {
            return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
        }
    
        // Check if the name already exists
        if ($eventsModel->where('Nombre', $name)->where('Tipo', $type)->where('Fecha', $date)->first()) {
            return redirect()->back()->with('error', 'El evento ya existe en la fecha seleccionada. Por favor, elija otro nombre.');
        }
    
        $data = [
            'Nombre' => $name,
            'Tipo' => $type,
            'Fecha' => $date
        ];
        
    
        if ($eventsModel->save($data)) {
            return redirect()->back()->with('success', 'Evento Creado');
        } else {
            return redirect()->back()->with('error', 'Error al crear el evento');
        }
    }

    public function deleteEvent(){

        $eventsModel = new EventsModel(); 

        $id = $this->request->getPost('Id');

        if ($eventsModel->delete($id)) {
            return redirect()->back()->with('success', 'Evento Eliminado');
        } else {
            return redirect()->back()->with('error', 'Error al eliminar el evento');
        } 
    }
}
