<?php

namespace App\Controllers;

use App\Models\UserModel;
use App\Models\LevelsModel;
use App\Models\GroupModel;
use CodeIgniter\Controller;

class GroupNLevelController extends Controller
{
    public function index()
    {
        if(!session()->is_logged){
            return view('login');
        }
        $levelsModel = new LevelsModel();
        $groupModel = new GroupModel();

        $data['levels'] = $levelsModel->getAllLevels();
        $data['groups'] = $groupModel->getAllActiveGroups();
        return view('createLevelsNGroups', $data);
    }

    public function createLvl()
    {
    $levelsModel = new LevelsModel();

    $name = $this->request->getPost('Name');
    $description = $this->request->getPost('Description');

    if (empty($name) || empty($description)) {
        return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
    }

    // Check if the name already exists
    if ($levelsModel->where('Name', $name)->first()) {
        return redirect()->back()->with('error', 'El nombre ya existe. Por favor, elija otro nombre.');
    }

    $data = [
        'Name' => $name,
        'Description' => $description
    ];

    $levelsModel->save($data);

    return redirect()->to('createLevelsNGroups')->with('success', 'Nivel creado exitosamente.');
    }

    public function createGroup(){

        $groupModel = new GroupModel();

        $name = $this->request->getPost('Name');
        $description = $this->request->getPost('Description');
        $fk_level = $this->request->getPost('FK_Level');

        if (empty($name) || empty($description) || empty($fk_level)) {
            return redirect()->to('createLevelsNGroups')->with('error', 'Por favor, completa todos los campos.');
        }

        // Check if the name already exists
        if ($groupModel->where('Name', $name)->where('FK_level', $fk_level)->first()) {
            return redirect()->back()->with('error', 'El nombre ya existe para este nivel. Por favor, elija otro nombre o nivel.');
        }

        $data = [
            'Name' => $name,
            'Description' => $description,
            'FK_Level' => $fk_level
        ];

        $groupModel->save($data);

        return redirect()->to('createLevelsNGroups')->with('success', 'Grupo creado exitosamente.');
}

}