<?php

namespace App\Controllers;

use App\Models\UserModel;
use CodeIgniter\Controller;

class Home extends BaseController
{
    public function index()
    {
        
         if(!session()->is_logged){
            return view('login');
         }
         return redirect()->route('dashboard');
    }
    public function signin(){
        if(!$this->validate([
            'Usuario' => 'required',
            'Password' =>  'required'
        ])){
            return redirect()->back()->with('errors', $this->validator->getErrors())->withInput();
        }

        $Usuario = trim($this->request->getVar('Usuario'));
        $Password = trim($this->request->getVar('Password'));
        
        $model = model('UserModel');

        if(!$user = $model->getUserBy('Matricula', $Usuario)){
            return redirect()->back()->with('msg',[
                'type' => 'errorUsername',
                'body' => 'Este usuario no se encuentra registrado en el sistema'
            ]);
        }

        if(!password_verify($Password, $user->Password)){
            return redirect()->back()->with('msg',[
                'type' => 'errorPassword',
                'body' => 'Credenciales invalidas'
            ]);
        }
        
        session()->set([
            'PK_User' => $user->PK_User,
            'Username' =>  $user->Name.' '.$user->LastName,
            'FK_Rol' => $user->FK_Rol,
            'Matricula' => $user->Matricula,
            'PhoneNumber' => $user->PhoneNumber,
            'Usuario' => $user->Usuario,
            'NameRol' => $user->NameRol,
            'CURP' => $user->CURP,
            'EmergencyNumber' => $user->EmergencyNumber,
            'BirthDate' => $user->BirthDate,
            'BloodType' => $user->BloodType,
            'Nationality' => $user->Nationality,
            'BirthState' => $user->BirthState,
            'MaritalStatus' => $user->MaritalStatus,
            'FK_Group' => $user->FK_Group,
            'FK_Level' => $user->FK_Level,
            'is_logged' => true
        ]);

        return redirect()->route('dashboard')->with('msg', [
            'type'  => 'success',
            'body'  => "Bienvenido {$user->Name}"
        ]);

    }

    public function logout(){
        session()->destroy();
        return redirect()->route('/');
    }
    
}
