<?php
namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\GroupModel;
use App\Models\GroupTableModel;
use App\Models\UserInfoModel;
use App\Models\KardexViewModel;
use App\Models\KardexModel;

class KardexController extends Controller
{
    public function index()
    {
        if(!session()->is_logged){
            return view('login');
        }

        // Obtén el FK_Rol de la sesión
        $rol = session()->get('FK_Rol');

        // Verifica el rol y redirige en consecuencia
        if ($rol != 2 && $rol != 6 && $rol != 3) {
            return redirect()->to('/dashboard');
        }

        $groupModel = new GroupModel();
        $data['groups'] = $groupModel->getAllActiveGroups();
        $data['EvaluateGroups'] = $groupModel->getAllGroupsToEvaluate();

        $userModel = new UserInfoModel;
        $data['users'] = $userModel->getStudentUsers();

        return view('kardex', $data);
    }

    public function UpdateEvaluateStatus(){

        $groupTableModel = new GroupTableModel();

        $id = $this->request->getPost('groupId');
        $status = $this->request->getPost('status');
        //log_message('info', 'ID: ' . $id . ', Status: ' . $status);
        $data = [
            'IsTimeToEvaluate' => $status
        ];
        if ($groupTableModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Evaluación Habilitada');
        } else {
            return redirect()->back()->with('error', 'Error al habiltiar la evaluación');
        }
    }

    public function viewKardex($pk_user)
    {
        if(!session()->is_logged){
            return view('login');
        }

        // Obtén el FK_Rol de la sesión
        $rol = session()->get('FK_Rol');

        // Verifica el rol y redirige en consecuencia
        if ($rol != 2 && $rol != 6) {
            return redirect()->to('/dashboard');
        }

        $KardexViewModel = new KardexViewModel();
    
        $kardexData = $KardexViewModel->getKardexStudents($pk_user);
        $completeKardexData = $KardexViewModel->getCompleteKardex($pk_user);

        if ($kardexData) {
            // Pasar los datos del kardex a la vista
            return view('kardexByStudent', [
                        'kardex' => $kardexData,
                        'completeKardex' => $completeKardexData
                    ]);
        } else {
            // Manejar el caso en que no se encuentren registros
            return redirect()->back()->with('error', 'No se encontraron materias asignadas para este estudiante');
        }
    }

    public function getMateriaInfo($pk)
    {
        $KardexViewModel = new KardexViewModel();
        $materiaInfo = $KardexViewModel->getMateriaInfoByPK($pk);
        echo json_encode($materiaInfo);
    }

    public function UpdateGrade(){
        $KardexModel = new KardexModel();

        $id = $this->request->getPost('PK');
        $updatedby = $this->request->getPost('UpdatedBy');
        $updateddt = $this->request->getPost('UpdatedDate');
        $grade = $this->request->getPost('Grade');

        $data = [
            'PK_MateriaKardex' => $id,
            'FK_Updater' => $updatedby,
            'UpdatedDate' => $updateddt,
            'Grade' => $grade
        ];

        if ($KardexModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Calificacion Actualizada');
        } else {
            return redirect()->back()->with('error', 'Error al actualizar la calificación');
        }
    }

    public function UpdateStatus(){

        $KardexModel = new KardexModel();

        $id = $this->request->getPost('Id');
        $data = [
            'PK_MateriaKardex' => $id,
            'Status' => 0
        ];
        if ($KardexModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Materia marcada como concluida');
        } else {
            return redirect()->back()->with('error', 'Error al concluir con la materia');
        }
    }

    public function kardexAlumno($pk_user)
    {
        if(!session()->is_logged){
            return view('login');
        }

        // Obtén el FK_Rol de la sesión
        $rol = session()->get('FK_Rol');

        // Verifica el rol y redirige en consecuencia
        if ($rol != 4 ) {
            return redirect()->to('/dashboard');
        }
        $KardexViewModel = new KardexViewModel();
        $completeKardexData = $KardexViewModel->getCompleteKardex($pk_user);

        if ($completeKardexData) {
            // Pasar los datos del kardex a la vista
            return view('kardexAlumno', [
                        'completeKardex' => $completeKardexData
                    ]);
        } else {
            // Manejar el caso en que no se encuentren registros
            return redirect()->back()->with('error', 'No se encontraron materias asignadas para este estudiante');
        }
    }
}
