<?php

namespace App\Controllers;

use App\Models\ClasesOnlineModel;
use CodeIgniter\Controller;

class MisClasesController extends Controller
{
    public function index()
    {
        if (!session()->is_logged) {
            return view('login');
        }

        $session = session();
        $groupId = $session->get('FK_Group');
        $roleId = $session->get('FK_Rol');

        $clasesModel = new ClasesOnlineModel();

        if ($roleId == 2) {
            // Si el FK_Rol es 2, traer todos los registros
            $data['clases'] = $clasesModel->paginate(5);
        } else {
            // De lo contrario, filtrar por el FK_Group
            $data['clases'] = $clasesModel->where('FK_Group', $groupId)->paginate(5);
        }

        $data['pager'] = $clasesModel->pager;

        return view('misclases', $data);
    }

    public function getMateriaInfo($pk)
    {
        $clasesModel = new ClasesOnlineModel();
        $materiaInfo = $clasesModel->getMateriaInfoByPK($pk);
        echo json_encode($materiaInfo);
    }

    public function AddMeet(){
    $clasesModel = new ClasesOnlineModel();

    $id = $this->request->getPost('IdEdit');
    $meet = $this->request->getPost('MeetEdit');

    if (empty($id) || empty($meet) ) 
    {
        return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
    }
    $data = [
        'PK_Materia' => $id,
        'Meet' => $meet
    ];

    if ($clasesModel->update($id, $data)) {
        return redirect()->back()->with('success', 'Datos Actualizados');
    } else {
        return redirect()->back()->with('error', 'Error al actualizar los datos');
    }
    }

    
}
