<?php
namespace App\Controllers;

use App\Models\UserModel;
use App\Models\LevelsModel;
use App\Models\GroupModel;
use CodeIgniter\Controller;

class NewUser extends Controller
{
    public function index()
    {
        // return view('dashboard');
        if(!session()->is_logged){
            return view('login');
        }
        $levelsModel = new LevelsModel();
        $groupModel = new GroupModel();

        $data['levels'] = $levelsModel->getAllLevels();
        $data['groups'] = $groupModel->getAllActiveGroups();
        return view('newUser', $data);
    }

    public function createUser(){
    $userModel = new UserModel();

    $name = $this->request->getPost('Name');
    $lastname = $this->request->getPost('LastName');
    $matricula = $this->request->getPost('Matricula');
    $phonenumber = $this->request->getPost('PhoneNumber');
    $usuario = $this->request->getPost('Email');
    $password = $this->request->getPost('Password');
    $fk_rol = $this->request->getPost('Rol');
    $curp = $this->request->getPost('Curp');
    $emergencynumber = $this->request->getPost('EmergencyNumber');
    $birthdate = $this->request->getPost('BirthDate');
    $bloodtype = $this->request->getPost('BloodType');
    $nationality = $this->request->getPost('Nationality');
    $birthstate = $this->request->getPost('BirthState');
    $maritalstatus = $this->request->getPost('MaritalStatus');
    $fk_level = $this->request->getPost('FK_Level');
    $fk_group = $this->request->getPost('FK_Group');

    if (empty($name) || empty($lastname) || empty($matricula) || empty($phonenumber) || empty($usuario) || empty($password) || empty($fk_rol) || empty($curp) || empty($emergencynumber)
        || empty($birthdate) || empty($bloodtype) || empty($nationality) || empty($birthstate) || empty($maritalstatus)) {
        return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
    }

    // Check if the name already exists
    if ($userModel->where('Name', $name)->where('LastName', $lastname)->where('Curp', $curp)->first()) {
        return redirect()->back()->with('error', 'El nombre ya existe. Por favor, elija otro nombre.');
    }

    $data = [
        'Name' => $name,
        'LastName' => $lastname,
        'Matricula' => $matricula,
        'PhoneNumber' => $phonenumber,
        'Usuario' => $usuario,
        'Password' => password_hash($password, PASSWORD_DEFAULT), 
        'FK_Rol' => $fk_rol,
        'Status' => 1,
        'CURP' => $curp,
        'EmergencyNumber' => $emergencynumber,
        'BirthDate' => $birthdate,
        'BloodType' => $bloodtype,
        'Nationality' => $nationality,
        'BirthState' => $birthstate,
        'MaritalStatus' => $maritalstatus,
        'FK_Level' => $fk_level,
        'FK_Group' => $fk_group
        
    ];
    //var_dump($data);
    $userModel->save($data);

    return redirect()->to('newUser')->with('success', 'Usuario creado exitosamente.');
    }

    public function editUser(){
        $userModel = new UserModel();

    $id = $this->request->getPost('IdEdit');
    $name = $this->request->getPost('NameEdit');
    $lastname = $this->request->getPost('LastNameEdit');
    $matricula = $this->request->getPost('MatriculaEdit');
    $usuario = $this->request->getPost('UsuarioEdit');
    $phonenumber = $this->request->getPost('PhoneNumberEdit');
    $password = $this->request->getPost('PasswordEdit');
    $fk_rol = $this->request->getPost('RolSelectEdit');
    $curp = $this->request->getPost('CurpEdit');
    $fk_group = $this->request->getPost('FK_Group');
    $fk_level = $this->request->getPost('FK_Level');

    if (empty($id) || empty($name) || empty($lastname) || empty($matricula) || empty($phonenumber) || empty($usuario) || empty($fk_rol) || empty($curp)
    ) {
        return redirect()->back()->with('error', 'Por favor, completa todos los campos.');
    }
    $data = [
        'PK_User' => $id,
        'Name' => $name,
        'LastName' => $lastname,
        'Matricula' => $matricula,
        'PhoneNumber' => $phonenumber,
        'Usuario' => $usuario,
        'FK_Rol' => $fk_rol,
        'Curp' => $curp,
        'FK_Group' => $fk_group,
        'FK_Level' => $fk_level
    ];

    if (!empty($password)) {
        $data['Password'] = password_hash($password, PASSWORD_DEFAULT);
    }

    // var_dump($data);
    if ($userModel->update($id, $data)) {
        return redirect()->back()->with('success', 'Datos Actualizados');
    } else {
        return redirect()->back()->with('error', 'Error al actualizar los datos');
    }
    }

    public function deactivateUser(){
        $userModel = new UserModel();

        $id = $this->request->getPost('userId');

        $data = [
            'PK_User' => $id,
            'Status' => 0
        ];

        if ($userModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Usuario Desactivado');
        } else {
            return redirect()->back()->with('error', 'Error al desactivar el usuario');
        }
    }

    public function reactivateUser(){

        $userModel = new UserModel();

        $id = $this->request->getPost('userId');
        $data = [
            'PK_User' => $id,
            'Status' => 1
        ];
        if ($userModel->update($id, $data)) {
            return redirect()->back()->with('success', 'Usuario Reactivado');
        } else {
            return redirect()->back()->with('error', 'Error al reactivar el usuario');
        }
    }

}