<?php
namespace App\Controllers;

use App\Models\ServicesModel;
use App\Models\ServicesRequestsModel;

use CodeIgniter\Controller;

class Services extends Controller
{
    public function index()
    {
        if(!session()->is_logged){
            return view('login');
        }
        $servicesModel = new ServicesModel();

        $data['services'] = $servicesModel->getAllServices();
        return view('services', $data);
    }

    public function requestService()
    {
        $request = \Config\Services::request();
        
        // Obtener datos del request
        $PK_Service = $request->getPost('PK_Service');
        $PK_User = session()->get('PK_User'); // Supone que tienes el usuario en la sesión

        // Validar datos
        if (!$PK_Service || !$PK_User) {
            return redirect()->back()->with('error', 'Datos inválidos');
        }

        // Guardar en la base de datos
        $model = new ServicesRequestsModel();
        $model->save([
            'FK_Service' => $PK_Service,
            'FK_User' => $PK_User,
        ]);

        return redirect()->back()->with('success', 'Servicio Solicitado Exitosamente');
    }

}