<?php namespace App\Models;

use CodeIgniter\Model;

class MateriaModel extends Model
{
    protected $table = 't_materias';
    protected $primaryKey = 'PK_Materia';
    protected $allowedFields = ['Name', 'CodeClass', 'DateCreated', 'Description', 'Meet', 'CreatedBy', 'Status', 'Teacher', 'UpdatedBy', 'UpdatedDate'];

    /**
     * Función para obtener las materias según el tipo de usuario
     *
     * @param int $userId
     * @param int $userType
     * @return array
     */
    public function getMateriasByUser($userId, $userType)
    {
        // Si es maestro
        if ($userType == 3) {
            return $this->where('Teacher', $userId)->findAll();
        } 
        // Si es alumno
        elseif ($userType == 4) {
            return $this->join('v_relacion_materias_usuarios', 't_materias.PK_Materia = v_relacion_materias_usuarios.FK_Materia')
                        ->where('v_relacion_materias_usuarios.FK_User', $userId)
                        ->findAll();
        }
        // Si es Coordinador Académico (o cualquier otro tipo de usuario)
        elseif ($userType == 2) {
            return $this->findAll(); // Trae todas las materias
        }
        // Si es un rol diferente que no tiene una asignación directa de materias
        else {
            return []; // No devolver materias
        }
    }
}
