<?php

namespace App\Models;

use CodeIgniter\Model;

class MaterialEducativoModel extends Model
{
    protected $table = 't_material_educativo';
    protected $primaryKey = 'PK_Material';

    protected $allowedFields = [
        'NombreMaterial', 'Descripción', 'Archivo', 'FK_Materia', 'FK_User'
    ];

    public function getMaterials($pkMateria, $fkUser, $limit, $offset)
    {
        return $this->where('FK_Materia', $pkMateria)
                    ->where('FK_User', $fkUser)
                    ->limit($limit, $offset)
                    ->findAll();
    }

    public function getTotalMaterials($pkMateria, $fkUser)
    {
        return $this->where('FK_Materia', $pkMateria)
                    ->where('FK_User', $fkUser)
                    ->countAllResults();
    }
}
?>
