<?php
namespace App\Models;

use CodeIgniter\Model;

class RelacionMateriasUsuariosModel extends Model
{
    protected $table = 'v_relacion_materias_usuarios'; 
    protected $primaryKey = 'FK_User';  
    protected $allowedFields = ['FK_User', 'FK_Materia', 'UserName', 'Surname', 'Grupo', 'MateriaName', 'CodeClass', 'CreatedBy', 'Status'];

    /**
     * Función para obtener alumnos de una materia
     *
     * @param int $materiaId
     * @return array
     */
    public function getAlumnosByMateria($materiaId)
    {
        return $this->where('FK_Materia', $materiaId)
                    ->get()
                    ->getResultArray();
    }

    /**
     * Función para obtener las materias de un usuario dado su ID
     *
     * @param int $userId
     * @return array
     */
    public function getMateriasByUser($userId)
    {
        return $this->where('FK_User', $userId)
                    ->get()
                    ->getResultArray();
    }
}
