<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8" />
  <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
  <link rel="apple-touch-icon" sizes="76x76" href="../../assets/img/apple-icon.png">
  <link rel="icon" type="image/png" href="../../assets/img/favicon.png">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />

  <meta content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0, shrink-to-fit=no' name='viewport' />
  <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
  <!-- Moment.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.4/locale/es.min.js"></script>

  <link rel="stylesheet" href="<?php echo base_url('css/material-dashboard.css')?>">
  <link rel="stylesheet" href="<?php echo base_url('css/layout.css')?>">
  <link rel="stylesheet" href="<?=base_url("css/calendar/calendar.css")?>" type="text/css"> 
  
</head>
<body class="">
<div class="content">
    <div class="modal fade" id="eventsModal" tabindex="-1" role="dialog" aria-labelledby="eventsModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="eventsModalLabel">Eventos</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <table id="eventsTable" class="display" style="width:100%">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Fecha</th>
                                <th>Tipo</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach ($events as $event): ?>
                                <tr>
                                    <td><?php echo $event['Nombre']; ?></td>
                                    <td><?php echo $event['Fecha']; ?></td>
                                    <td>
                                        <?php
                                            // Muestra el tipo basado en el valor numérico
                                            switch ($event['Tipo']) {
                                                case 1:
                                                    echo 'Cultural';
                                                    break;
                                                case 2:
                                                    echo 'Deportes';
                                                    break;
                                                case 3:
                                                    echo 'Suspensión';
                                                    break;
                                                case 4:
                                                    echo 'Otros';
                                                    break;
                                                default:
                                                    echo 'Desconocido';
                                                    break;
                                            }
                                        ?>
                                    </td>
                                    <td>
                                    <form method="post" action="<?php echo site_url('EventosController/deleteEvent'); ?>" id="deleteEvent">
                                      <input type="hidden" name="Id" id="Id" value="<?= $event['PK_Evento'] ?>">
                                      <button type="submit" class="btn btn-link btn-danger"  title="" >
                                        <i class="material-icons">delete</i>
                                      </button>
                                    </form>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>
      <div class="modal fade" id="detallesModal" tabindex="-1" role="dialog" aria-labelledby="detallesModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
          <form method="post" action="<?php echo site_url('EventosController/createEvent'); ?>" id="EventForm">
            <div class="modal-header">
              <h4 class="modal-title" id="detallesModalLabel" style="text-align: left;">Detalles del Evento</h4>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <div class="col-md-12 ml-auto mr-auto text-center">
                <h3 id="Name" class="font-weight-bold mb-2"></h3>
                <h5 id="Matricula" class="text-muted mb-1"></h5>
                <h5 id="Usuario" class="text-muted mb-1"></h5>
                <h5 id="PhoneNumber" class="text-muted mb-3"></h5>
                <div class="row">
                  <div class="col-12 form-group">
                    <label for="Nombre" class="font-weight-bold">Evento:</label>
                    <input name="Nombre" id="Nombre" type="text" class="form-control text-muted mb-3">
                  </div>
                </div>
                <div class="row">
                  <div class="col-12 form-group">
                    <label for="Tipo" class="font-weight-bold ">Tipo de Evento:</label>
                    <select name="Tipo" id="Tipo" class="selectpicker form-control" data-style="select-with-transition" title="Tipo de Evento">
                      <option value="1">Cultural</option>
                      <option value="2">Deportes</option>
                      <option value="3">Suspencion</option>
                      <option value="4">Otro</option>
                    </select>
                  </div>
                </div>
                <div class="row">
                  <div class="col-12 form-group">
                    <label class="font-weight-bold">Fecha:</label>
                    <input id="Fecha" name="Fecha" type="date" class="form-control" value="10/06/2018">
                  </div>
                  
                </div>
              </div>
            </div>
            <div class="modal-footer">
              <button type="submit" class="btn btn-secondary">Crear Evento</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
            </div>
          </form>
          </div>
        </div>
      </div>
      
      <div id="calendar">
      <?php if (session('FK_Rol') == 3 || session('FK_Rol') == 2): ?>
        <!-- seccion solo para admins / maestros -->
        <div class="col-4">
          <button class="btn btn-just-icon btn-rose" onclick="addEvent()">
            <i class="material-icons">add</i>
          </button>
          <button class="btn btn-just-icon " data-toggle="modal" data-target="#eventsModal">
            <i class="material-icons">delete</i>
          </button>
        </div>
        <?php endif; ?>
      </div> 
    </div>

    

</body>
</html>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="<?=base_url()?>js/core/jquery.min.js"></script>
<script src="<?=base_url()?>js/core/popper.min.js"></script>
<script src="<?=base_url()?>js/core/bootstrap-material-design.min.js"></script>
<script src="<?=base_url()?>js/plugins/perfect-scrollbar.jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/locale/es.min.js"></script>
<script src="<?=base_url()?>js/plugins/moment.min.js"></script>
<script src="<?=base_url()?>js/plugins/sweetalert2.js"></script>
<script src="<?=base_url()?>js/plugins/jquery.validate.min.js"></script>
<script src="<?=base_url()?>js/plugins/jquery.bootstrap-wizard.js"></script>
<script src="<?=base_url()?>js/plugins/bootstrap-selectpicker.js"></script>
<script src="<?=base_url()?>js/plugins/bootstrap-datetimepicker.min.js"></script>
<script src="<?=base_url()?>js/plugins/jquery.dataTables.min.js"></script>
<script src="<?=base_url()?>js/plugins/bootstrap-tagsinput.js"></script>
<script src="<?=base_url()?>js/plugins/jasny-bootstrap.min.js"></script>
<script src="<?=base_url()?>js/plugins/fullcalendar.min.js"></script>
<script src="<?=base_url()?>js/plugins/jquery-jvectormap.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.js"></script>
<script src="<?=base_url()?>js/plugins/nouislider.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/core-js/2.4.1/core.js"></script>
<script src="<?=base_url()?>js/plugins/arrive.min.js"></script>
<!-- Chartist JS -->
<script src="<?=base_url()?>js/plugins/chartist.min.js"></script>
<!--  Notifications Plugin    -->
<script src="<?=base_url()?>js/plugins/bootstrap-notify.js"></script>
<!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
<script src="<?=base_url()?>js/material-dashboard.js?v=2.1.0" type="text/javascript"></script>
<script src="<?=base_url()?>js/plugins/demo.js"></script>
<script src="<?=base_url()?>js/calendar/calendar.js"></script>

<script>
    $(document).ready(function() {
        var events = <?php echo json_encode($events); ?>;
        function transformEvents(events) {
            return events.map(function(event) {
                // Determinar el color basado en el tipo
                var color;
                switch (event.Tipo) {
                    case '1': color = 'orange'; break;
                    case '2': color = 'green'; break;
                    case '3': color = 'yellow'; break;
                    case '4': color = 'blue'; break;
                    default: color = 'grey'; break;
                }

                // Transformar el objeto
                return {
                    eventName: event.Nombre,
                    calendar: event.Tipo === '1' ? 'Cultural' : event.Tipo === '2' ? 'Deportes' : event.Tipo === '3' ? 'Suspencion' : 'Otros',
                    color: color,
                    date: event.Fecha
                };
            });
        }

        // Transformar los eventos y mostrar en la consola
        var transformedData = transformEvents(events);

        // Inicializar el calendario con los datos transformados
        var calendar = new Calendar('#calendar', transformedData);
    });
</script>

<script>
        document.addEventListener('DOMContentLoaded', function () {
            <?php if (session()->getFlashdata('success')): ?>
                Swal.fire({
                    title: 'Exito!!',
                    text: '<?= session()->getFlashdata('success') ?>',
                    type: 'success',
                    confirmButtonText: 'OK'
                });
            <?php endif; ?>

            <?php if (session()->getFlashdata('error')): ?>
                Swal.fire({
                    title: 'Error!',
                    text: '<?= session()->getFlashdata('error') ?>',
                    type: 'error',
                    confirmButtonText: 'OK'
                });
            <?php endif; ?>
        });
    </script>

<script>
    $(document).ready(function() {
      $().ready(function() {
        $sidebar = $('.sidebar');

        $sidebar_img_container = $sidebar.find('.sidebar-background');

        $full_page = $('.full-page');

        $sidebar_responsive = $('body > .navbar-collapse');

        window_width = $(window).width();

        fixed_plugin_open = $('.sidebar .sidebar-wrapper .nav li.active a p').html();

        if (window_width > 767 && fixed_plugin_open == 'Dashboard') {
          if ($('.fixed-plugin .dropdown').hasClass('show-dropdown')) {
            $('.fixed-plugin .dropdown').addClass('open');
          }

        }

        $('.fixed-plugin a').click(function(event) {
          // Alex if we click on switch, stop propagation of the event, so the dropdown will not be hide, otherwise we set the  section active
          if ($(this).hasClass('switch-trigger')) {
            if (event.stopPropagation) {
              event.stopPropagation();
            } else if (window.event) {
              window.event.cancelBubble = true;
            }
          }
        });

        $('.fixed-plugin .active-color span').click(function() {
          $full_page_background = $('.full-page-background');

          $(this).siblings().removeClass('active');
          $(this).addClass('active');

          var new_color = $(this).data('color');

          if ($sidebar.length != 0) {
            $sidebar.attr('data-color', new_color);
          }

          if ($full_page.length != 0) {
            $full_page.attr('filter-color', new_color);
          }

          if ($sidebar_responsive.length != 0) {
            $sidebar_responsive.attr('data-color', new_color);
          }
        });

        $('.fixed-plugin .background-color .badge').click(function() {
          $(this).siblings().removeClass('active');
          $(this).addClass('active');

          var new_color = $(this).data('background-color');

          if ($sidebar.length != 0) {
            $sidebar.attr('data-background-color', new_color);
          }
        });

        $('.fixed-plugin .img-holder').click(function() {
          $full_page_background = $('.full-page-background');

          $(this).parent('li').siblings().removeClass('active');
          $(this).parent('li').addClass('active');


          var new_image = $(this).find("img").attr('src');

          if ($sidebar_img_container.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
            $sidebar_img_container.fadeOut('fast', function() {
              $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
              $sidebar_img_container.fadeIn('fast');
            });
          }

          if ($full_page_background.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
            var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

            $full_page_background.fadeOut('fast', function() {
              $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
              $full_page_background.fadeIn('fast');
            });
          }

          if ($('.switch-sidebar-image input:checked').length == 0) {
            var new_image = $('.fixed-plugin li.active .img-holder').find("img").attr('src');
            var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

            $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
            $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
          }

          if ($sidebar_responsive.length != 0) {
            $sidebar_responsive.css('background-image', 'url("' + new_image + '")');
          }
        });

        $('.switch-sidebar-image input').change(function() {
          $full_page_background = $('.full-page-background');

          $input = $(this);

          if ($input.is(':checked')) {
            if ($sidebar_img_container.length != 0) {
              $sidebar_img_container.fadeIn('fast');
              $sidebar.attr('data-image', '#');
            }

            if ($full_page_background.length != 0) {
              $full_page_background.fadeIn('fast');
              $full_page.attr('data-image', '#');
            }

            background_image = true;
          } else {
            if ($sidebar_img_container.length != 0) {
              $sidebar.removeAttr('data-image');
              $sidebar_img_container.fadeOut('fast');
            }

            if ($full_page_background.length != 0) {
              $full_page.removeAttr('data-image', '#');
              $full_page_background.fadeOut('fast');
            }

            background_image = false;
          }
        });

        $('.switch-sidebar-mini input').change(function() {
          $body = $('body');

          $input = $(this);

          if (md.misc.sidebar_mini_active == true) {
            $('body').removeClass('sidebar-mini');
            md.misc.sidebar_mini_active = false;

            $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar();

          } else {

            $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar('destroy');

            setTimeout(function() {
              $('body').addClass('sidebar-mini');

              md.misc.sidebar_mini_active = true;
            }, 300);
          }

          // we simulate the window Resize so the charts will get updated in realtime.
          var simulateWindowResize = setInterval(function() {
            window.dispatchEvent(new Event('resize'));
          }, 180);

          // we stop the simulation of Window Resize after the animations are completed
          setTimeout(function() {
            clearInterval(simulateWindowResize);
          }, 1000);

        });
      });
    });
  </script>