<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Security-Policy" content="upgrade-insecure-requests">
    <title>Virginia Woolf</title>
    <meta name="description" content="The small framework with powerful features">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="icon" type="image/png" href="<?php echo base_url('/img/logo/logotipo final.png')?>">
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Roboto+Slab:400,700|Material+Icons" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css">
    <link rel="stylesheet" href="<?php echo base_url('css/material-dashboard.css')?>">
    <link rel="stylesheet" href="<?php echo base_url('css/login/login.css')?>">
</head>
<body class="off-canvas-sidebar">
  <!-- Navbar -->
  <nav class="navbar navbar-expand-lg navbar-transparent navbar-absolute fixed-top text-white">
    <div class="container">
      <div class="navbar-wrapper">
        <div class="navbar-brand" style="display: flex">
          <img src="<?php echo base_url('img/logo/logotipo final.png') ?>" alt="Logo" style="height: 100px; vertical-align: middle; margin-right: 10px">
          <h3>Centro Educativo Virginia Woolf</h3>
        </div>
      </div>
      <button class="navbar-toggler" type="button" data-toggle="collapse" aria-controls="navigation-index" aria-expanded="false" aria-label="Toggle navigation">
        <span class="sr-only">Toggle navigation</span>
        <span class="navbar-toggler-icon icon-bar"></span>
        <span class="navbar-toggler-icon icon-bar"></span>
        <span class="navbar-toggler-icon icon-bar"></span>
      </button>
      <div class="collapse navbar-collapse justify-content-end">
        <ul class="navbar-nav">
          </li>
          <li class="nav-item">
            <a href="<?= site_url('dashboard') ?>" class="nav-link">

              <i class="material-icons">login</i> Inicio de Sesion
            </a>
          </li>
          <li class="nav-item ">
            <a href="#" class="nav-link">
              <i class="material-icons">school</i> Sobre Nosotros
            </a>
          </li>
          <li class="nav-item">
          <a  data-toggle="modal" data-target="#privacyModal" class="nav-link">
            <i class="material-icons">security</i>Aviso de privacidad
        </a>
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <!-- End Navbar -->
  <div class="wrapper wrapper-full-page">
  <div class="page-header login-page header-filter" filter-color="black" style="background-image: url('<?php echo base_url('/img/login/login.jpg'); ?>'); background-size: cover; background-position: top center;">

      <!--   you can change the color of the filter page using: data-color="blue | purple | green | orange | red | rose " -->
      <div class="container">
        <?php if(session('msg')):?>
          <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
          <script src="<?=base_url()?>js/login/login.js" type="text/javascript"></script>
          <script>
            <?=session('msg.type')?>();
          </script>
        <?php endif;?>

        <div class="row">
          <div class="col-lg-4 col-md-6 col-sm-8 ml-auto mr-auto">
          <form class="form" action="<?=base_url(route_to('signin'))?>"  method="POST">
              <div class="card card-login card-hidden">
                <div class="card-header card-header-rose text-center">
                  <h4 class="card-title">Iniciar Sesion</h4>
                </div>
                <div class="card-body ">
                  <span class="bmd-form-group">
                    <div class="input-group">
                      <div class="input-group-prepend">
                        <span class="input-group-text">
                          <i class="material-icons">face</i>
                        </span>
                      </div>
                      <input type="text" class="form-control" name="Usuario" placeholder="Usuario" value="<?=old('Usuario')?>">
                    </div>
                    <p class="text-danger font-weight-bold"><?=session('errors.Usuario')?></p>
                  </span>
                  <span class="bmd-form-group">
                    <div class="input-group">
                      <div class="input-group-prepend">
                        <span class="input-group-text">
                          <i class="material-icons">lock_outline</i>
                        </span>
                      </div>
                      <input type="password" class="form-control" name="Password" placeholder="Contraseña">
                    </div>
                    <p class="text-danger font-weight-bold"><?=session('errors.Password')?></p>
                  </span>
                </div>
                <div class="card-footer justify-content-center">
                  <input type="submit" class="btn btn-rose btn-link btn-lg">
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="modal fade" id="privacyModal" tabindex="-1" role="dialog" aria-labelledby="privacyModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="privacyModalLabel">Aviso de Privacidad</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p><strong>Brave Cat Studios</strong> y <strong>Virginia Woolf</strong> se comprometen a proteger su privacidad. Este aviso de privacidad explica nuestras prácticas de recopilación y uso de datos.</p>
        <h6>1. Recopilación de Información:</h6>
        <p>La información personal es proporcionada al <strong>Centro Educativo Virginia Woolf</strong> al inscribirse en el colegio. Esta información puede incluir, pero no se limita a:</p>
        <ul>
          <li>Nombre completo</li>
          <li>Dirección de correo electrónico</li>
          <li>Información de contacto</li>
          <li>Datos académicos</li>
        </ul>
        <h6>2. Uso de la Información:</h6>
        <p>La información recopilada se utiliza exclusivamente con fines educativos y para mejorar la experiencia del usuario en nuestra plataforma. Esto incluye:</p>
        <ul>
          <li>Proveer acceso a recursos educativos</li>
          <li>Mejorar y personalizar nuestros servicios</li>
          <li>Comunicarnos con usted sobre actualizaciones y eventos educativos</li>
          <li>Monitorear y evaluar el progreso académico</li>
        </ul>
        <h6>3. Almacenamiento y Protección de Datos:</h6>
        <p>Implementamos medidas de seguridad técnicas y organizativas para proteger su información personal contra el acceso no autorizado, pérdida o alteración. Los datos se almacenan en servidores seguros y solo el personal autorizado tiene acceso a ellos.</p>
        <h6>4. Compartición de Información:</h6>
        <p>No compartimos su información personal con terceros, salvo en las siguientes circunstancias:</p>
        <ul>
          <li>Con su consentimiento explícito</li>
          <li>Para cumplir con obligaciones legales</li>
          <li>Para proteger los derechos y la seguridad de Brave Cat Studios, Virginia Woolf y sus usuarios.</li>
        </ul>
        <h6>5. Derechos del Usuario:</h6>
        <p>Usted tiene el derecho de acceder, rectificar, eliminar o restringir el uso de su información personal. Para ejercer estos derechos, por favor, póngase en contacto con nosotros a través de <a href="mailto:bravecontacto@bravecatstudios.com">bravecontacto@bravecatstudios.com</a></p>
        <h6>6. Cambios en el Aviso de Privacidad:</h6>
        <p>Podemos actualizar este aviso de privacidad ocasionalmente. Le notificaremos sobre cualquier cambio publicando el nuevo aviso de privacidad en nuestra plataforma.</p>
        <h6>Protección de la Información de Virginia Woolf:</h6>
        <p>La información recopilada y proporcionada por el <strong>Centro Educativo Virginia Woolf</strong> se utiliza únicamente con propósitos escolares, asegurando que los datos personales de los estudiantes y personal se manejen con la máxima confidencialidad y seguridad.</p>
        <h6>Contacto:</h6>
        <p>Si tiene alguna pregunta o inquietud sobre nuestro aviso de privacidad, no dude en contactarnos a través de <a href="mailto:bravecontacto@bravecatstudios.com">bravecontacto@bravecatstudios.com</a></p>
        <p><small>Fecha de última actualización: Lunes 26 de agosto del 2024</small></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

  <!--   Core JS Files   -->

  <!-- <script type="text/javascript" src="<?=base_url()?>js/ajax.js" ></script> -->
  <script src="<?=base_url()?>js/core/jquery.min.js"></script>
  <script src="<?=base_url()?>js/core/popper.min.js"></script>
  <script src="<?=base_url()?>js/core/bootstrap-material-design.min.js"></script>
  <script src="<?=base_url()?>js/plugins/perfect-scrollbar.jquery.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
  <!--  Google Maps Plugin    -->
  <!-- Chartist JS -->
  <script src="<?=base_url()?>js/plugins/chartist.min.js"></script>
  <!--  Notifications Plugin    -->
  <script src="<?=base_url()?>js/plugins/bootstrap-notify.js"></script>
  <!-- Control Center for Material Dashboard: parallax effects, scripts for the example pages etc -->
  <script src="<?=base_url()?>js/material-dashboard.js?v=2.1.0" type="text/javascript"></script>
  <script src="<?=base_url()?>js/login/login.js" type="text/javascript"></script>

  <script>
    $(document).ready(function() {
      $().ready(function() {
        $sidebar = $('.sidebar');

        $sidebar_img_container = $sidebar.find('.sidebar-background');

        $full_page = $('.full-page');

        $sidebar_responsive = $('body > .navbar-collapse');

        window_width = $(window).width();

        fixed_plugin_open = $('.sidebar .sidebar-wrapper .nav li.active a p').html();

        if (window_width > 767 && fixed_plugin_open == 'Dashboard') {
          if ($('.fixed-plugin .dropdown').hasClass('show-dropdown')) {
            $('.fixed-plugin .dropdown').addClass('open');
          }

        }

        $('.fixed-plugin a').click(function(event) {
          // Alex if we click on switch, stop propagation of the event, so the dropdown will not be hide, otherwise we set the  section active
          if ($(this).hasClass('switch-trigger')) {
            if (event.stopPropagation) {
              event.stopPropagation();
            } else if (window.event) {
              window.event.cancelBubble = true;
            }
          }
        });

        $('.fixed-plugin .active-color span').click(function() {
          $full_page_background = $('.full-page-background');

          $(this).siblings().removeClass('active');
          $(this).addClass('active');

          var new_color = $(this).data('color');

          if ($sidebar.length != 0) {
            $sidebar.attr('data-color', new_color);
          }

          if ($full_page.length != 0) {
            $full_page.attr('filter-color', new_color);
          }

          if ($sidebar_responsive.length != 0) {
            $sidebar_responsive.attr('data-color', new_color);
          }
        });

        $('.fixed-plugin .background-color .badge').click(function() {
          $(this).siblings().removeClass('active');
          $(this).addClass('active');

          var new_color = $(this).data('background-color');

          if ($sidebar.length != 0) {
            $sidebar.attr('data-background-color', new_color);
          }
        });

        $('.fixed-plugin .img-holder').click(function() {
          $full_page_background = $('.full-page-background');

          $(this).parent('li').siblings().removeClass('active');
          $(this).parent('li').addClass('active');


          var new_image = $(this).find("img").attr('src');

          if ($sidebar_img_container.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
            $sidebar_img_container.fadeOut('fast', function() {
              $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
              $sidebar_img_container.fadeIn('fast');
            });
          }

          if ($full_page_background.length != 0 && $('.switch-sidebar-image input:checked').length != 0) {
            var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

            $full_page_background.fadeOut('fast', function() {
              $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
              $full_page_background.fadeIn('fast');
            });
          }

          if ($('.switch-sidebar-image input:checked').length == 0) {
            var new_image = $('.fixed-plugin li.active .img-holder').find("img").attr('src');
            var new_image_full_page = $('.fixed-plugin li.active .img-holder').find('img').data('src');

            $sidebar_img_container.css('background-image', 'url("' + new_image + '")');
            $full_page_background.css('background-image', 'url("' + new_image_full_page + '")');
          }

          if ($sidebar_responsive.length != 0) {
            $sidebar_responsive.css('background-image', 'url("' + new_image + '")');
          }
        });

        $('.switch-sidebar-image input').change(function() {
          $full_page_background = $('.full-page-background');

          $input = $(this);

          if ($input.is(':checked')) {
            if ($sidebar_img_container.length != 0) {
              $sidebar_img_container.fadeIn('fast');
              $sidebar.attr('data-image', '#');
            }

            if ($full_page_background.length != 0) {
              $full_page_background.fadeIn('fast');
              $full_page.attr('data-image', '#');
            }

            background_image = true;
          } else {
            if ($sidebar_img_container.length != 0) {
              $sidebar.removeAttr('data-image');
              $sidebar_img_container.fadeOut('fast');
            }

            if ($full_page_background.length != 0) {
              $full_page.removeAttr('data-image', '#');
              $full_page_background.fadeOut('fast');
            }

            background_image = false;
          }
        });

        $('.switch-sidebar-mini input').change(function() {
          $body = $('body');

          $input = $(this);

          if (md.misc.sidebar_mini_active == true) {
            $('body').removeClass('sidebar-mini');
            md.misc.sidebar_mini_active = false;

            $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar();

          } else {

            $('.sidebar .sidebar-wrapper, .main-panel').perfectScrollbar('destroy');

            setTimeout(function() {
              $('body').addClass('sidebar-mini');

              md.misc.sidebar_mini_active = true;
            }, 300);
          }

          // we simulate the window Resize so the charts will get updated in realtime.
          var simulateWindowResize = setInterval(function() {
            window.dispatchEvent(new Event('resize'));
          }, 180);

          // we stop the simulation of Window Resize after the animations are completed
          setTimeout(function() {
            clearInterval(simulateWindowResize);
          }, 1000);

        });
      });
    });
  </script>
  <script>
    $(document).ready(function() {
      md.checkFullPageBackgroundImage();
      setTimeout(function() {
        // after 1000 ms we add the class animated to the login/register card
        $('.card').removeClass('card-hidden');
      }, 700);
    });
  </script>
</body>
</html>
