document.addEventListener('DOMContentLoaded', function () {
    fetch(baseUrl + 'allmycourses/getMaterias')
        .then(response => response.json())
        .then(data => {

            if (!Array.isArray(data)) {
                return;
            }

            const cardsContainer = document.getElementById('cards-container');
            const colors = ['blue', 'orange', 'yellow', 'purple'];

            data.forEach((materia, index) => {
                const colorClass = colors[index % colors.length];
                const name = materia.Name || 'Materia'; 
                const card = document.createElement('div');
                card.className = `card ${colorClass}`;
                card.innerHTML = `
                    <div class="initial">${name.charAt(0)}</div>
                    <div class="desc">${name}</div>
                `;
                card.addEventListener('click', () => {
                    window.location.href = baseUrl + 'materia/' + materia.PK_Materia;
                });
                cardsContainer.appendChild(card);
            });
        })
        .catch(error => console.error('Error:', error));
});
