// Variables globales
window.userRole = window.userRole || '';
window.userTypeText = '';
switch (window.userRole) {
    case '1':
        window.userTypeText = 'Visitante';
        break;
    case '2':
        window.userTypeText = 'Admin';
        break;
    case '3':
        window.userTypeText = 'Maestro';
        break;
    case '4':
        window.userTypeText = 'Alumno';
        break;
    case '5':
        window.userTypeText = 'Secretaria';
        break;
}

function validateAndSubmitForm() {
    const form = document.getElementById('assign-questions-form');
    const textareas = form.querySelectorAll('textarea');
    const inputs = form.querySelectorAll('input[type="text"]');
    const radios = form.querySelectorAll('input[type="radio"]:checked');
    let valid = true;

    textareas.forEach(textarea => {
        if (!textarea.value.trim()) {
            valid = false;
            textarea.classList.add('is-invalid');
        } else {
            textarea.classList.remove('is-invalid');
        }
    });

    inputs.forEach(input => {
        if (!input.value.trim()) {
            valid = false;
            input.classList.add('is-invalid');
        } else {
            input.classList.remove('is-invalid');
        }
    });

    if (radios.length < parseInt(window.numIncisos, 10)) {
        valid = false;
    }

    if (valid) {
        document.querySelector('.submit-quiz').disabled = true;

        // Send form data using fetch
        const formData = new FormData(form);
        fetch(form.action, {
            method: 'POST',
            body: formData
        })
        .then(response => response.json())
        .then(data => {
            if (data.status === 'success') {
                Swal.fire({
                    title: '¡Éxito!',
                    text: 'Las preguntas han sido guardadas correctamente.',
                    icon: 'success',
                    confirmButtonText: 'OK'
                }).then(() => {
                    window.location.href = `${window.baseUrl}/dashboard`;
                });
            } else {
                Swal.fire({
                    title: 'Error',
                    text: 'Ocurrió un error al guardar las preguntas.',
                    icon: 'error',
                    confirmButtonText: 'OK'
                });
                document.querySelector('.submit-quiz').disabled = false;
            }
        })
        .catch(error => {
            Swal.fire({
                title: 'Error',
                text: 'Ocurrió un error al guardar las preguntas.',
                icon: 'error',
                confirmButtonText: 'OK'
            });
            document.querySelector('.submit-quiz').disabled = false;
        });
    } else {
        Swal.fire({
            title: 'Error',
            text: 'Por favor, completa todos los campos y selecciona la respuesta correcta para cada pregunta.',
            icon: 'error',
            confirmButtonText: 'OK'
        });
    }
}

document.addEventListener('DOMContentLoaded', function() {
    document.querySelectorAll('.answer').forEach(function(answer) {
        answer.addEventListener('click', function() {
            document.querySelector(`#${this.getAttribute('data-for')}`).checked = true;
        });
    });
});
