function validateForm() {
    return true;  // Sin validaciones adicionales por ahora
}

document.addEventListener('DOMContentLoaded', function() {
    const form = document.getElementById('paper');
    const assignQuestionsButton = document.getElementById('assign-questions-button');
    const fechaEntrega = document.getElementById('fecha_entrega');
    const todayButton = document.getElementById('today-button');

    // Set min date to today
    const today = new Date().toISOString().split('T')[0];
    fechaEntrega.setAttribute('min', today);

    todayButton.addEventListener('click', function() {
        fechaEntrega.value = today;
    });

    form.addEventListener('submit', function(event) {
        event.preventDefault(); // prevent the form from submitting the traditional way
        
        if (validateForm()) {
            const formData = new FormData(form);
            fetch(form.action, {
                method: 'POST',
                body: formData
            })
            .then(response => response.json())
            .then(data => {
                if (data.status === 'success') {
                    Swal.fire({
                        title: '¡Éxito!',
                        text: 'El examen ha sido creado correctamente.',
                        icon: 'success',
                        confirmButtonText: 'OK'
                    }).then(() => {
                        assignQuestionsButton.style.display = 'block';
                        form.querySelector('#crear-examen').style.display = 'none';
                        assignQuestionsButton.addEventListener('click', function() {
                            window.location.href = `${window.baseUrl}/misexamenes/asignar_preguntas/${data.exam_id}`;
                        });
                    });
                } else {
                    Swal.fire({
                        title: 'Error',
                        text: 'Ocurrió un error al crear el examen.',
                        icon: 'error',
                        confirmButtonText: 'OK'
                    });
                }
            })
            .catch(error => {
                Swal.fire({
                    title: 'Error',
                    text: 'Ocurrió un error al crear el examen.',
                    icon: 'error',
                    confirmButtonText: 'OK'
                });
            });
        }
    });
});
