function notify(title = "", msg = "", type = "warning") {
    $.notify({
        title: title,
        message: msg
    }, {
        type: type
    });
}

function customMessage(title, text, textBtn, type, response) {
    swal({
        title: title,
        text: text,
        type: type,
        buttons: {
            cancel: 'No',
            confirm: 'Yes'
        },
        showCancelButton: true,
        confirmButtonClass: 'btn btn-' + type,
        cancelButtonClass: 'btn btn-default',
        confirmButtonText: textBtn,
        cancelButtonText: 'Cancelar',
        buttonsStyling: false
    }).then(function (result) {
        if (result.value) {
            response();
        }
        console.log(result)
    }).catch(swal.noop)
}

function errorMessage() {
    $.notify({
        title: "Surgió un problema ",
        message: "Intenta de nuevo, si el error persiste contacta al administrador."
    },
        {
            type: "danger",

        });
}

function getData(url, response, syncT, data) {
    const async = syncT == undefined ? true : false
    $.ajax({
        type: "GET",
        url: url,
        data,
        contentType: "application/json",
        async,
        success: function (data) {
            response(data);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.log(errorThrown);
            errorMessage();
        }
    });
}

function updateData(url, data, response) {
    $.ajax({
        type: "POST",
        url: url,
        data: data,
        contentType: "application/json",
        datatype: "json",
        success: function (data) {
            response(data);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.log(errorThrown);
            errorMessage();
        }
    });
}

function AjaxFormData(url, formData, response) {
    $.ajax({
        url: url,
        type: 'post',
        cache: false,
        contentType: false,
        processData: false,
        data: formData,
        success: function (data) {
            response(data);
        },
        error: function (jqXHR, textStatus, errorThrown) {
            console.log(errorThrown);
            errorMessage();
        }
    });
}

function getFormObj(formId) {
    var formObj = {};
    var inputs = $(formId).serializeArray();
    $.each(inputs, function (i, input) {
        formObj[input.name] = input.value;
    });
    return formObj;
}

function getFormLvls(formId) {
    currentLevels = $("#currentLevels").val();
    employee = $("#employee").val();
    idDepartment = $("#ID").val();
    empty = false;
    json = {}
    levels = [];
    alreadyApprover = [];
    repeated = false;

    for (i = 1; i <= currentLevels; i++) {
        json.level = i;

        json.Fk_User = $("#level-" + i).val();
        json.dynamicapproval = 0

        if (json.Fk_User.length == 0) {
            let isChecked = $(`#${i}`).prop('checked') ? 1 : 0;
            if (isChecked == 1) {
                json.dynamicapproval = isChecked
            }            
        }

        if (json.Fk_User == "" || json.Fk_User == null) {
            if (json.dynamicapproval == 0) {
                empty = true;
                notify('No debe haber ningún nivel sin asignación de aprobador.', '');
                return;
            }            
        }

        levels.push(json);

        if (json.dynamicapproval == 1) {
            alreadyApprover.push(obj)
        }
        else {
            $.each(json.Fk_User, (idx, obj) => {
                a = alreadyApprover.indexOf(obj);
                if (a != -1) {
                    notify('El aprobador esta repetido ' + obj + ' en el nivel ' + i, '');
                    repeated = true;
                }
                else {
                    alreadyApprover.push(obj)
                }
            });            
        }
        json = {}
    }

    if (repeated == true) {
        return;
    }

    if (empty) {
        notify('<label class="lblTranslate" data-lang-fn="">No debe haber niveles sin asignar</label>', '');
        return;
    }

    var obj = {
        levels,
        employee,
        idDepartment
    }

    return JSON.stringify(obj)
}

function fillSelect(data, select, response) {
    $(select).empty();

    $.each(data, function (i, item) {
        $(select).append($('<option>', {
            value: item.id,
            text: item.description,
            extra: (item.id_ext ? item.id_ext : '')
        }));
    });
    $(".selectpicker").selectpicker('refresh');
    response();
}

function messageDelete(response) {
    swal({
        title: '¿Estás seguro de eliminar?',
        text: '',
        type: 'warning',
        showCancelButton: true,
        confirmButtonClass: 'btn btn-danger',
        cancelButtonClass: 'btn btn-default',
        confirmButtonText: 'Si',
        cancelButtonText: 'Cerrar',
        buttonsStyling: false
    }).then(function (result) {
        if (result.value) {
            response();
        }
        console.log(result)

    }).catch(swal.noop)
}

function messageConfirm(title = "¿Deseas continuar?", text = "", response) {
    swal({
        title: title,
        text: text,
        type: 'warning',
        showCancelButton: true,
        confirmButtonClass: 'btn btn-danger',
        cancelButtonClass: 'btn btn-default',
        confirmButtonText: 'Si',
        cancelButtonText: 'Cerrar',
        buttonsStyling: false
    }).then(function (result) {
        if (result.value) {
            response();
        }
        console.log(result)

    }).catch(swal.noop)
}