document.addEventListener('DOMContentLoaded', function () {
    const formEditarTarea = document.getElementById('formEditarTarea');

    formEditarTarea.addEventListener('submit', function (event) {
        event.preventDefault();

        const submitButton = formEditarTarea.querySelector('button[type="submit"]');
        submitButton.disabled = true;
        submitButton.textContent = 'Guardando...';

        const formData = new FormData(formEditarTarea);

        fetch(`${window.baseUrl}/mis_tareas/editarTarea`, {
            method: 'POST',
            body: formData
        })
        .then(response => response.json())
        .then(data => {
            submitButton.disabled = false;
            submitButton.textContent = 'Guardar cambios';

            if (data.status === 'success') {
                Swal.fire({
                    icon: 'success',
                    title: 'Cambios guardados',
                    text: 'Los cambios se han guardado exitosamente.',
                    showConfirmButton: false,
                    timer: 1500
                }).then(() => {
                    window.location.href = `${window.baseUrl}/dashboard`; 
                });
            } else {
                Swal.fire({
                    icon: 'error',
                    title: 'Error',
                    text: 'Hubo un problema al guardar los cambios.'
                });
            }
        })
        .catch(error => {
            console.error('Error:', error);
            submitButton.disabled = false;
            submitButton.textContent = 'Guardar cambios';
            Swal.fire({
                icon: 'error',
                title: 'Error',
                text: 'Hubo un problema al guardar los cambios.'
            });
        });
    });

    const estadoInput = document.getElementById('estado');
    estadoInput.disabled = true;
});
