// Manejar el evento cuando se selecciona un grupo
document.getElementById('groupSelect').addEventListener('change', function () {
    var groupId = this.value;

    fetch(baseUrl + 'asistencias_participaciones/obtenerAlumnosPorGrupo/' + groupId)
        .then(response => response.json())
        .then(data => {
            var alumnosSelect = document.getElementById('alumnosSelect');
            alumnosSelect.innerHTML = '<option disabled selected>Selecciona un alumno</option>'; // Limpiar opciones previas

            // Añadir las nuevas opciones con los alumnos
            data.forEach(function (alumno) {
                alumnosSelect.innerHTML += `<option value="${alumno.PK_User}">${alumno.UserName} ${alumno.LastName}</option>`;
            });

            // Refrescar selectpicker después de modificar el DOM
            $('#alumnosSelect').selectpicker('refresh');
        })
        .catch(error => console.error('Error al cargar los alumnos:', error));
});


// Función para mostrar secciones (Ver asistencias o Tomar asistencia)
function mostrarSeccion(seccionId) {
    console.log('Sección seleccionada:', seccionId); // Depuración
    document.querySelectorAll('.seccion').forEach(function (seccion) {
        seccion.style.display = 'none';
    });
    document.getElementById(seccionId).style.display = 'block';
}

document.querySelector('form').addEventListener('submit', function(event) {
    var participaciones = document.querySelector('input[name="Participaciones"]').value;
    
    if (participaciones < 0) {
        alert("El número de participaciones no puede ser negativo.");
        event.preventDefault();
    }
});



// Inicializar DataTables en la tabla de asistencias
$(document).ready(function () {
    $('#asistenciasTable').DataTable({
        "paging": true,
        "searching": true,
        "ordering": true,
        "info": true,
        "lengthMenu": [5, 10, 15],
        "pageLength": 5,
        "language": {
            "search": "Buscar:",
            "paginate": {
                "first": "Primero",
                "last": "Último",
                "next": "Siguiente",
                "previous": "Anterior"
            },
            "lengthMenu": "Mostrar _MENU_ registros por página",
            "info": "Mostrando _START_ a _END_ de _TOTAL_ registros",
            "infoEmpty": "No hay registros disponibles",
            "infoFiltered": "(filtrado de _MAX_ registros en total)"
        }
    });
});
